<template>
  <transition :name="animation">
    <pageWrapper
      v-if="show"
      ref="pageWrapper"
      backable
      gradient
      @back="close"
      @close="close"
      :title="$t('history.details.checkingResult')"
      class="checkResult">
      <div class="checkResult_body">
        <div class="container-plain">
          <div class="checkResult_hash-sha flex flex-start flex-middle">
            <div>
              <div class="title color-accent">{{$t('history.details.startHash')}}</div>
              <div class="hash">{{details.house_seed_hash}}</div>
            </div>
          </div>
          <HashList></HashList>
          <ShaGenerator></ShaGenerator>
          <CheckingWolfram></CheckingWolfram>
        </div>
      </div>
    </pageWrapper>
  </transition>
</template>

<script>
  import pageWrapper from '~/components/common/pageWrapper';
  import ShaGenerator from './shaGenerator';
  import CheckingWolfram from './checkingWolfram';
  import HashList from './hashList';
  import * as bodyScrollLock from 'body-scroll-lock';

  export default {
    name: "index",
    data() {
      return {
        animation: 'slideTo-left',
        svg: false
      }
    },
    components: {
      pageWrapper,
      ShaGenerator,
      HashList,
      CheckingWolfram
    },
    computed: {
      show() {
        return this.$store.state.checkResult.show;
      },
      details() {
        return this.$store.state.gameDetails.details;
      }
    },
    methods: {
      close() {
        this.animation = 'slideTo-right';
        this.$nextTick(_ => {
          this.$store.commit('checkResult/SET_SHOWING', false);
        });
      },
      closeAll() {
        this.close();
        //this.$parent.close();
        this.$emit('close');
        this.ga('cl', true);
        this.$refs['pageWrapper'].enableScroll();
      }
    },
    watch: {
      'show': function () {
        if (this.show) {
          this.animation = 'slideTo-left';
        }
      }
    }
  }
</script>
<style lang="scss" scoped>
@import '~/assets/styles/variables.scss';
.checkResult_hash {
  &-sha {
    padding: $paddingMini;
    .title {
      font-size: 18px;
      margin-bottom: 5px;
    }
    .hash {
      word-break: break-all;
      font-size: 16px;
      padding-right: $paddingLarge * 2;
    }
  }
}
</style>
